Skip to main content
Server path: /v0-projects | Type: Application | PCID required: Yes

Tools

ToolDescription
v0_projects_assignAssign Project to Chat
v0_projects_createCreate Project
v0_projects_create_env_varsCreate Environment Variables
v0_projects_deleteDelete Project
v0_projects_delete_env_varsDelete Environment Variables
v0_projects_deployments_createCreate Deployment
v0_projects_deployments_deleteDelete Deployment
v0_projects_deployments_findFind Deployments
v0_projects_deployments_find_errorsFind Deployment Errors
v0_projects_deployments_find_logsFind Deployment Logs
v0_projects_deployments_get_by_idGet Deployment
v0_projects_findFind Projects
v0_projects_find_env_varsFind Environment Variables
v0_projects_get_by_chat_idGet Project by Chat ID
v0_projects_get_by_idGet Project by ID
v0_projects_get_env_varGet Environment Variable
v0_projects_hooks_createCreate Hook
v0_projects_hooks_deleteDelete Hook
v0_projects_hooks_findFind Hooks
v0_projects_hooks_get_by_idGet Hook
v0_projects_hooks_updateUpdate Hook
v0_projects_integrations_vercel_projects_createCreate Vercel Project
v0_projects_integrations_vercel_projects_findFind Vercel Projects
v0_projects_updateUpdate Project
v0_projects_update_env_varsUpdate Environment Variables

v0_projects_assign

Assign Project to Chat Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesThe ID of the project to assign.
chatIdstringYesThe ID of the chat to assign the project to.

v0_projects_create

Create Project Parameters:
ParameterTypeRequiredDefaultDescription
descriptionstringNoA brief summary of the project’s purpose.
environmentVariablesobject[]NoA list of key-value pairs used to define runtime variables for the project.
iconstringNoAn icon identifier to visually represent the project.
instructionsstringNoGuidance or goals that provide context for the model when working within the project.
namestringYesThe name of the project.
privacystringNoThe privacy setting for the project. For user accounts, this is always “private”. For team/enterprise accounts, this can be either “private” or “team”.
vercelProjectIdstringNoThe ID of an existing Vercel project to link to. If not provided, a new Vercel project will be created.

v0_projects_create_env_vars

Create Environment Variables Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesThe unique identifier of the project where environment variables should be created.
decryptedstringNoWhether to return decrypted values. Defaults to false (encrypted).
environmentVariablesobject[]YesAn array of environment variables to create with key and value fields.
upsertbooleanNoWhether to overwrite existing environment variables with the same keys. Defaults to false.

v0_projects_delete

Delete Project Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesThe unique identifier of the project to delete. This must be passed as a path parameter in the URL.
deleteAllChatsstringNoIf true, deletes all the chats associated with the given project ID. Deleting is permanent. Defaults to false.

v0_projects_delete_env_vars

Delete Environment Variables Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesThe unique identifier of the project whose environment variables should be deleted.
environmentVariableIdsstring[]YesAn array of environment variable IDs to delete.

v0_projects_deployments_create

Create Deployment Parameters:
ParameterTypeRequiredDefaultDescription
chatIdstringYesChat Id
projectIdstringYesProject Id
versionIdstringYesVersion Id

v0_projects_deployments_delete

Delete Deployment Parameters:
ParameterTypeRequiredDefaultDescription
deploymentIdstringYesPath parameter “deploymentId”

v0_projects_deployments_find

Find Deployments Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesThe ID of the project to find deployments for
chatIdstringYesThe ID of the chat to find deployments for
versionIdstringYesThe ID of the version to find deployments for

v0_projects_deployments_find_errors

Find Deployment Errors Parameters:
ParameterTypeRequiredDefaultDescription
deploymentIdstringYesThe unique identifier of the deployment to inspect for errors. Provided as a path parameter.

v0_projects_deployments_find_logs

Find Deployment Logs Parameters:
ParameterTypeRequiredDefaultDescription
deploymentIdstringYesThe unique identifier of the deployment to retrieve logs for. Provided as a path parameter.
sincenumberNoA UNIX timestamp (in seconds) used to filter logs. Returns only log entries generated after the specified time.

v0_projects_deployments_get_by_id

Get Deployment Parameters:
ParameterTypeRequiredDefaultDescription
deploymentIdstringYesPath parameter “deploymentId”

v0_projects_find

Find Projects

v0_projects_find_env_vars

Find Environment Variables Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesThe unique identifier of the project whose environment variables should be retrieved.
decryptedstringNoWhether to return decrypted values. Defaults to false (encrypted).

v0_projects_get_by_chat_id

Get Project by Chat ID Parameters:
ParameterTypeRequiredDefaultDescription
chatIdstringYesThe ID of the chat to retrieve the associated project for.

v0_projects_get_by_id

Get Project by ID Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesThe unique identifier of the project to retrieve.

v0_projects_get_env_var

Get Environment Variable Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesThe unique identifier of the project that owns the environment variable.
environmentVariableIdstringYesThe unique identifier of the environment variable to retrieve.
decryptedstringNoWhether to return decrypted values. Defaults to false (encrypted).

v0_projects_hooks_create

Create Hook Parameters:
ParameterTypeRequiredDefaultDescription
chatIdstringNoThe ID of a chat to scope the hook to.
eventsstring[]YesList of event types the hook should subscribe to.
namestringYesA human-readable name for the hook.
urlstringYesThe target URL to receive the webhook payloads.

v0_projects_hooks_delete

Delete Hook Parameters:
ParameterTypeRequiredDefaultDescription
hookIdstringYesThe ID of the webhook to delete. Provided as a path parameter.

v0_projects_hooks_find

Find Hooks

v0_projects_hooks_get_by_id

Get Hook Parameters:
ParameterTypeRequiredDefaultDescription
hookIdstringYesThe unique identifier of the hook to retrieve.

v0_projects_hooks_update

Update Hook Parameters:
ParameterTypeRequiredDefaultDescription
hookIdstringYesThe ID of the webhook to update. Provided as a path parameter.
eventsstring[]NoUpdated list of event types to subscribe to.
namestringNoA new name for the hook.
urlstringNoA new URL to send webhook payloads to.

v0_projects_integrations_vercel_projects_create

Create Vercel Project Parameters:
ParameterTypeRequiredDefaultDescription
namestringYesThe name to assign to the new Vercel project.
projectIdstringYesThe ID of the v0 project to link to the new Vercel project.

v0_projects_integrations_vercel_projects_find

Find Vercel Projects

v0_projects_update

Update Project Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesThe unique identifier of the project to update. Provided as a path parameter.
descriptionstringNoA new description to assign to the project. Helps with identification and organization.
instructionsstringNoGuidance or goals that provide context for the model when working within the project.
namestringNoA new name to assign to the project. Helps with identification and organization.
privacystringNoThe privacy setting for the project. For user accounts, this must be “private”. For team/enterprise accounts, this can be either “private” or “team”.

v0_projects_update_env_vars

Update Environment Variables Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesThe unique identifier of the project whose environment variables should be updated.
decryptedstringNoWhether to return decrypted values. Defaults to false (encrypted).
environmentVariablesobject[]YesAn array of environment variables to update with id and value fields.